Wiederholungen
GET https://analyticse.com/api/replays/
curl --request GET \
--url 'https://analyticse.com/api/replays/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/replays/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Erforderlich Integer | |
| user_id | Optional Integer | |
| session_id | Optional Integer | |
| visitor_id | Optional Integer | |
| is_offloaded | Optional Integer | Erlaubte Werte: 0, 1 |
| is_too_short | Optional Integer | Erlaubte Werte: 0, 1 |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime, expiration_date |
| datetime_start | Optional String | Startdatum |
| datetime_end | Optional String | Enddatum |
| order_by | Optional String | Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: replay_id, session_id, visitor_id, events, size, is_offloaded, is_too_short, datetime, last_datetime, expiration_date. |
| order_type | Optional String | Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung. |
| page | Optional Integer | Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig 1. |
| results_per_page | Optional Integer | Wie viele Ergebnisse Sie pro Seite wünschen. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25. |
{
"data": [
{
"id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"user_id": 1,
"events": 25,
"size": 123456,
"duration": 60,
"is_offloaded": false,
"is_too_short": false,
"datetime": "2026-09-12 00:48:21",
"last_datetime": "2026-09-12 00:48:21",
"expiration_date": "2027-09-12"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analyticse.com/api/replays?website_id=1&page=1",
"last": "https://analyticse.com/api/replays?website_id=1&page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/replays?website_id=1&page=1"
}
}
GET https://analyticse.com/api/replays/{replay_id}
curl --request GET \
--url 'https://analyticse.com/api/replays/{replay_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/replays/{replay_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"user_id": 1,
"events": 25,
"size": 123456,
"duration": 60,
"is_offloaded": false,
"is_too_short": false,
"datetime": "2026-09-12 00:48:21",
"last_datetime": "2026-09-12 00:48:21",
"expiration_date": "2027-09-12"
}
}
GET https://analyticse.com/api/replays/{replay_id}/data
curl --request GET \
--url 'https://analyticse.com/api/replays/{replay_id}/data' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/replays/{replay_id}/data' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"rows": [
{
"type": 4,
"data": {},
"timestamp": 1700000000000
}
],
"pageviews": [
{
"type": 4,
"data": {},
"timestamp": 1700000000000,
"datetime": "2026-09-12 00:48:21",
"path": "/",
"time": "12:00"
}
]
}
}
DELETE https://analyticse.com/api/replays/{replay_id}
curl --request DELETE \
--url 'https://analyticse.com/api/replays/{replay_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/replays/{replay_id}' \
--header 'Authorization: Bearer {api_key}' \